Bug 175349 - default resolution should match LCD resolution
Summary: default resolution should match LCD resolution
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-09 07:11 UTC by Jens Petersen
Modified: 2018-04-11 15:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-28 15:11:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2005-12-09 07:11:55 UTC
Description of problem:
When selecting a "Generic LCD Display" monitor at a certain resolution
it would a lot of sense if the display resolution was also changed automatically
to this resolution.  I don't think people want to run the X at a different
resolution by default on an LCD panel normally.

How reproducible:
every time

Steps to Reproduce:
1. run system-config-display
2. select (generic LCD panel)
3. look at current screen resolution setting
  
Actual results:
3. unchanged and different from selected LCD resolution

Expected results:
3. same as selected LCD resolution

Additional info:
it is annoying to have to specify the resolution again when the monitor
setting already implies the information.

Comment 1 Adam Jackson 2006-04-19 17:07:26 UTC
This is entirely too general of a comment to count as a bug.

We have many particular instances of certain panels failing to work with certain
drivers.  Fixing that in the general case is upstream work that we're also
working on.

If you're experiencing problems with a particular monitor, please file a bug
listing the monitor in use, and attach the Xorg startup log from a failed startup.

Comment 2 Jens Petersen 2006-04-20 02:01:44 UTC
Sorry, but this is nothing driver specific, of course I'd be happy if
every panel I ever use is autodetected and configured for me.

LCD panels are very common now and it is just seems common sense and the
Right Thing that if I configure by hand "Generic LCD Panel X x Y"
that the X config file defaults to X x Y resolution and not something else.
So this is purely a system-config-display issue and not something
for xorg-x11 upstream afaics.

Comment 3 Matěj Cepl 2007-05-28 15:11:21 UTC
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.



Note You need to log in before you can comment on or make changes to this bug.